-- overall percent change for stock symbols in ##sell_rows_from_#test2
select 
 symbol
,sum(change_amount) sum_of_changes
,avg(partition_close) average_buy_price
,round(sum(change_amount)/avg(partition_close)*100,2) percent_change
from
(
-- gather reversal cycle data for stock symbols
select 
 symbol
,date
,row_number_close
,partition_close
,(row_number_close - partition_close) change_amount
,round(cast((row_number_close - partition_close)as real)/cast(partition_close as real) * 100,2) change_percent
from ##sell_rows_from_#test2
) for_summary
group by symbol
order by round(sum(change_amount)/avg(partition_close)*100,2)